# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test62
# FileName:      
# Author:       zyy
# Datetime:     2024/9/4 下午6:23
# Description:
# ---------------------------------------------------------------------------
import logging
import os
import time


def log(name="方大同"):
    """roll"""
    logger = logging.getLogger(name)
    logger.level = logging.INFO
    log_name = time.strftime('%Y-%m-%d-%H-%M-%S',time.localtime())+".log"
    log_dir = os.path.join(os.path.join(os.path.dirname(__file__),'report'),'log')
    log_path = os.path.join(log_dir,log_name)
    handle = logging.FileHandler(log_path,mode='a',encoding='utf-8')
    formatter = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s -- %(name)s')
    handle.setFormatter(formatter)
    logger.addHandler(handle)
    return logger


log = log()
